package com.red.circle.other.app.inner.service.live;


import com.red.circle.common.business.dto.cmd.PageRoomIdCmd;
import com.red.circle.framework.dto.PageResult;
import com.red.circle.other.inner.model.cmd.sys.RoomTopFixedCmd;
import com.red.circle.other.inner.model.cmd.sys.RoomTopFixedQryCmd;
import com.red.circle.other.inner.model.cmd.sys.SysHotRoomCmd;
import com.red.circle.other.inner.model.dto.sys.SysHotRoomDTO;
import com.red.circle.other.inner.model.dto.sys.SysTopRoomDTO;

/**
 * 热门放假.
 *
 * @author pengliang on 2020/12/11
 */
public interface HotRoomClientService {

  void addOrUpdate(SysHotRoomCmd param);

  void remove(Long roomId);

  PageResult<SysHotRoomDTO> pageRoom(PageRoomIdCmd cmd);

  PageResult<SysTopRoomDTO> listRoomTop(RoomTopFixedQryCmd query);

  void addOrUpdateRoomTop(RoomTopFixedCmd param);

  void removeRoomTop(Long roomId);
}
